%define appdir	%{_datadir}/%{name}
%define menus	%{!?_without_menus:1}%{?_without_menus:0}
%define section	free

Name:		daim
Version:	0.9.2
Release:	14jpp
Epoch:		0
Summary:	Instant Messaging Client and Library supporting AIM and ICQ
License:	LGPL
URL:		http://daim.dev.java.net/
Group:		Networking/Instant messaging
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	daim.tar.bz2
Source1:	%{name}-script
Source2:	%{name}-icon-16.png
Source3:	%{name}-icon-32.png
Source4:	%{name}-icon-48.png
Source5:	%{name}.desktop
Requires:	bouncycastle-jdk1.4 >= 0:1.20
Requires:	bouncycastle-provider >= 0:1.20
Requires:	bsf
Requires:	log4j
Requires:	java = 0:1.4.2
Requires:	jpackage-utils >= 0:1.5
Requires:	xerces-j2
BuildRequires:	ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:	antlr
BuildRequires:	bouncycastle-javadoc-jdk1.4 >= 0:1.20
BuildRequires:	bouncycastle-jdk1.4 >= 0:1.20
BuildRequires:	bouncycastle-provider >= 0:1.20
BuildRequires:	bsf
BuildRequires:	checkstyle
BuildRequires:	jakarta-commons-beanutils
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-logging
BuildRequires:	java-devel = 0:1.4.2
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	junit
BuildRequires:	junit-javadoc
BuildRequires:	log4j
BuildRequires:  regexp
BuildRequires:  xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
daim already supports many features, including Add-Ins, AIM Proxy, Buddy
Icon, Chat, Direct IM, File Transfer, File Sharing, Send Buddy List and
Trillian SecureIM. daim also supports retrieving News and Stocks. daim
tries to support as many features as possible from WinAIM 5.2.

daim supports scripting through Apache BSF. Sample Jython scripts can be
found in the script directory in CVS, but any language supported by BSF
is supported by daim, including JavaScript and Tcl (among others).

You may log in using your ICQ UIN and password using daim. daim has full
support for the non-TCP portion of the ICQ protocol up to ICQ 2003a.

In addition to ICQ, daim can emulate Apple's iChat client, and daim
supports iChat available messages as well.

%package	scripts
Summary:	Scripts for %{name}
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	jython

%description	scripts
%{summary}.
%if %{menus}

%package	mdkmenu
Summary:	Mandrakelinux menu entry for %{name}
Group:		Networking/Instant messaging	
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	mdkmenu
%{summary}.

%package	legacymenu
Summary:	Legacy menu entry for %{name}
Group:		Networking/Instant messaging
Requires:	%{name} = %{epoch}:%{version}-%{release}
Conflicts:	redhat-menus

%description	legacymenu
%{summary}.

%endif

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

%build
export JAVA_HOME=%{_jvmdir}/java-1.4.2
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath antlr bouncycastle/bcmail bouncycastle/bcprov bsf checkstyle jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-logging log4j regexp xerces-j2)
%ant jar test javadocs



%install
%__rm -rf %{buildroot}

# jars
%__mkdir_p %{buildroot}%{_javadir}
%__install -p -m 644 build/lib/%{name}.jar \
%{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# data
%__mkdir_p %{buildroot}%{appdir}
%__cp -a script/*.py %{buildroot}%{appdir}

# scripts
%__mkdir_p %{buildroot}%{_bindir}
%__install -p -m 755 %{SOURCE1} %{buildroot}%{_bindir}/daim

# javadoc
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version}
%__cp -a build/javadocs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %__ln_s %{name}-%{version} %{name})

%if %{menus}

# mdk menu entry
%__mkdir_p %{buildroot}%{_menudir}
%__cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
icon="%{name}.png"\\
section="Internet/Instant messaging"\\
title="daim" \
longtitle="Instant Messaging Client and Library supporting AIM and ICQ"
EOF

# mdk icons
%__install -D -p -m 644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png 
%__install -D -p -m 644 %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png 
%__install -D -p -m 644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png

# freedesktop.org menu entry
%__install -D -p -m 644 %{SOURCE5} \
  %{buildroot}%{_datadir}/applications/jpackage-%{name}.desktop

# icons for freedesktop.org and legacy menu entries
%__install -D -p -m 644 %{SOURCE2} \
  %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -D -p -m 644 %{SOURCE3} \
  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_datadir}/pixmaps/%{name}.png

# legacy menu entry
%__install -D -p -m 644 %{SOURCE4} \
  %{buildroot}%{_sysconfdir}/X11/applnk/Development/%{name}.desktop

%endif

%clean
%__rm -rf %{buildroot}

%if %{menus}

%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus

%endif

%post javadoc
%__rm -f %{_javadocdir}/%{name}
%__ln_s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %__rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS ChangeLog COPYING CREDITS HACKING INSTALL README STYLE
%doc THANKS TODO VERSION lib/README.JARS
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/%{name}.jar
%{_javadir}//%{name}-%{version}.jar
%dir %{appdir}

%if %{menus}

%{_datadir}/applications/*-%{name}.desktop
%{_datadir}/icons/*/*/apps/*
%{_datadir}/pixmaps/%{name}.png

%endif

%files scripts
%defattr(0644,root,root,0755)
%doc script/README.SCRIPTING
%{appdir}/*.py

%if %{menus}

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files legacymenu
%defattr(0644,root,root,0755)
%{_sysconfdir}/X11/applnk/Development/*

%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Fri Jan 28 2005 David Walluck <david@jpackage> 0:0.9.2-14jpp
- crosslink with Java javadoc

* Sat Nov 27 2004 David Walluck <david@jpackage> 0:0.9.2-13jpp
- rebuild to fix packager

* Sat Nov 06 2004 David Walluck <david@jpackage> 0:0.9.2-12jpp
- update

* Sat Oct 16 2004 David Walluck <david@jpackage> 0:0.9.2-11jpp
- s/menues/menus/g

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.9.2-10jpp
- Build with ant-1.6.2
- Added option "--without menus" to not build menus

* Thu Aug 12 2004 Randy Watler <rwatler at finali.com> - 0:0.9.2-9jpp
- Upgrade to Ant 1.6.X

* Thu Feb 12 2004 David Walluck <david@anti-microsoft.org> 0:0.9.2-8jpp
- JAVA_HOME must be set to 1.4.2 as bc doesn't support 1.5.0 yet
- change license from GPL to LGPL

* Sun Feb 08 2004 David Walluck <david@anti-microsoft.org> 0:0.9.2-7jpp
- remove some unused javadoc crosslinks
- rebuild against new bouncycastle javadoc
- update to new mandrake menu layout

* Thu Jan 29 2004 David Walluck <david@anti-microsoft.org> 0:0.9.2-6jpp
- don't own %%{_javadir}

* Tue Jan 20 2004 David Walluck <david@anti-microsoft.org> 0:0.9.2-5jpp
- update source

* Mon Oct 27 2003 David Walluck <david@anti-microsoft.org> 0:0.9.2-4jpp
- update source to fix stock parsing
- make javadoc for bouncycastle linking point to bcprov until there's a
  better solution

* Fri Oct 10 2003 David Walluck <david@anti-microsoft.org> 0:0.9.2-3jpp
- fix script
- rebuild against latest bouncycastle

* Thu Oct 09 2003 David Walluck <david@anti-microsoft.org> 0:0.9.2-2jpp
- build with checkstyle and junit
- build with javadoc crosslinking
- fix bouncycastle BuildRequires
- own %%_javadocdir/%%name

* Sat Sep 06 2003 David Walluck <david@anti-microsoft.org> 0:0.9.2-1jpp
- release
